<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_60) on Tue Apr 26 16:24:20 CEST 2016 -->
<title>C-Index</title>
<meta name="date" content="2016-04-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../aasbo/json/CDL.html" title="class in aasbo.json"><span class="typeNameLink">CDL</span></a> - Class in <a href="../aasbo/json/package-summary.html">aasbo.json</a></dt>
<dd>
<div class="block">This provides static methods to convert comma delimited text into a
 JSONArray, and to convert a JSONArray into comma delimited text.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CDL.html#CDL--">CDL()</a></span> - Constructor for class aasbo.json.<a href="../aasbo/json/CDL.html" title="class in aasbo.json">CDL</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONTokener.html#character">character</a></span> - Variable in class aasbo.json.<a href="../aasbo/json/JSONTokener.html" title="class in aasbo.json">JSONTokener</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aasbo/listeners/ClientListener.html" title="interface in aasbo.listeners"><span class="typeNameLink">ClientListener</span></a> - Interface in <a href="../aasbo/listeners/package-summary.html">aasbo.listeners</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONObject.Null.html#clone--">clone()</a></span> - Method in class aasbo.json.<a href="../aasbo/json/JSONObject.Null.html" title="class in aasbo.json">JSONObject.Null</a></dt>
<dd>
<div class="block">There is only intended to be a single instance of the NULL object,
 so the clone method returns itself.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameWriter.html#close--">close()</a></span> - Static method in class aasbo.frames.<a href="../aasbo/frames/FrameWriter.html" title="class in aasbo.frames">FrameWriter</a></dt>
<dd>
<div class="block">Lager et close byte array som kan sendes over websocket</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocket.html#close--">close()</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocket.html" title="class in aasbo.socket">WebSocket</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#closeConnection--">closeConnection()</a></span> - Method in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>
<div class="block">Lukker koblingen til denne klienten og varsler lytter av denne klienten
 om at den har koblet ned</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/JSONWriter.html#comma">comma</a></span> - Variable in class aasbo.json.<a href="../aasbo/json/JSONWriter.html" title="class in aasbo.json">JSONWriter</a></dt>
<dd>
<div class="block">The comma flag determines if a comma should be output before the next
 value.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameReader.html#connection">connection</a></span> - Variable in class aasbo.frames.<a href="../aasbo/frames/FrameReader.html" title="class in aasbo.frames">FrameReader</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/socket/WebSocketClient.html#connection">connection</a></span> - Variable in class aasbo.socket.<a href="../aasbo/socket/WebSocketClient.html" title="class in aasbo.socket">WebSocketClient</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions"><span class="typeNameLink">ConnectionClosedException</span></a> - Exception in <a href="../aasbo/exceptions/package-summary.html">aasbo.exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/exceptions/ConnectionClosedException.html#ConnectionClosedException-java.lang.String-">ConnectionClosedException(String)</a></span> - Constructor for exception aasbo.exceptions.<a href="../aasbo/exceptions/ConnectionClosedException.html" title="class in aasbo.exceptions">ConnectionClosedException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/frames/FrameWriter.html#ConvertString-java.lang.String-">ConvertString(String)</a></span> - Static method in class aasbo.frames.<a href="../aasbo/frames/FrameWriter.html" title="class in aasbo.frames">FrameWriter</a></dt>
<dd>
<div class="block">Konverterer en String til et format som kan sendes over websocket</div>
</dd>
<dt><a href="../aasbo/json/Cookie.html" title="class in aasbo.json"><span class="typeNameLink">Cookie</span></a> - Class in <a href="../aasbo/json/package-summary.html">aasbo.json</a></dt>
<dd>
<div class="block">Convert a web browser cookie specification to a JSONObject and back.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/Cookie.html#Cookie--">Cookie()</a></span> - Constructor for class aasbo.json.<a href="../aasbo/json/Cookie.html" title="class in aasbo.json">Cookie</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../aasbo/json/CookieList.html" title="class in aasbo.json"><span class="typeNameLink">CookieList</span></a> - Class in <a href="../aasbo/json/package-summary.html">aasbo.json</a></dt>
<dd>
<div class="block">Convert a web browser cookie list string to a JSONObject and back.</div>
</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/CookieList.html#CookieList--">CookieList()</a></span> - Constructor for class aasbo.json.<a href="../aasbo/json/CookieList.html" title="class in aasbo.json">CookieList</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aasbo/json/HTTP.html#CRLF">CRLF</a></span> - Static variable in class aasbo.json.<a href="../aasbo/json/HTTP.html" title="class in aasbo.json">HTTP</a></dt>
<dd>
<div class="block">Carriage return/line feed.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">K</a>&nbsp;<a href="index-12.html">L</a>&nbsp;<a href="index-13.html">M</a>&nbsp;<a href="index-14.html">N</a>&nbsp;<a href="index-15.html">O</a>&nbsp;<a href="index-16.html">P</a>&nbsp;<a href="index-17.html">Q</a>&nbsp;<a href="index-18.html">R</a>&nbsp;<a href="index-19.html">S</a>&nbsp;<a href="index-20.html">T</a>&nbsp;<a href="index-21.html">U</a>&nbsp;<a href="index-22.html">V</a>&nbsp;<a href="index-23.html">W</a>&nbsp;<a href="index-24.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
